function [testnonnul,R,I,T,N]=prepar_courbure(simpli,xch,ych);

% prepar_courbure prpare le calcul du rayon de courbure et du repre de Frenet
%
% [testnonnul,R,I,T,N]=prepar_courbure(simpli,xch,ych) : 
%  
%	variables d'entres : 
%     * simpli : entier qui gal  un force la simplification (qui ne marche pas toujours)
%     * xch et ych  : deux chanes de caractre de la forme 'x(t)' et 
%                     'y(t)' o t est la seule variable 
%
%	variables de sortie : 
%     * testnonnul : fonction test  une composante qui, nulle, indique que 
%                   les coordonnes du centre de courbure ne sont pas calculables
%                  (en fonction inline)
%     * R : le rayon de courbure  (en fonction inline)
%     * I : le centre de courbure (en fonction inline)
%     * T et N : les vecteurs du mme nom (en fonction inline)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr


% calcul de R
xsy=sym(xch);
ysy=sym(ych);
xd1sy=diff(xsy);
xd2sy=diff(xd1sy);
yd1sy=diff(ysy);
yd2sy=diff(yd1sy);
Q=(xd1sy)^2+(yd1sy)^2;
if simpli
   deltaa=simplify(xd1sy*yd2sy-xd2sy*yd1sy);
   auxiR=simplify((Q^(3/2))/deltaa);
   auxiRbis=simplify(Q/deltaa);
   auxiI1=simplify(xsy-auxiRbis*yd1sy);
   auxiI2=simplify(ysy+auxiRbis*xd1sy);
   rQ=simplify(sqrt(Q));
   auxiT1=simplify(xd1sy/rQ);
   auxiT2=simplify(yd1sy/rQ);
   auxiN1=-simplify(yd1sy/rQ);
   auxiN2=simplify(xd1sy/rQ);
else
   deltaa=xd1sy*yd2sy-xd2sy*yd1sy;
   auxiR=(Q^(3/2))/deltaa;
   auxiRbis=Q/deltaa;
   auxiI1=xsy-auxiRbis*yd1sy;
   auxiI2=ysy+auxiRbis*xd1sy;
   rQ=sqrt(Q);
   auxiT1=xd1sy/rQ;
   auxiT2=yd1sy/rQ;
   auxiN1=-yd1sy/rQ;
   auxiN2=xd1sy/rQ;
end
syms t;
auxiT1=char(auxiT1);
auxiT2=char(auxiT2);
auxiN1=char(auxiN1);
auxiN2=char(auxiN2);
auxiI1=char(auxiI1);
auxiI2=char(auxiI2);
I=['[',auxiI1,',',auxiI2,']'];
T=['[',auxiT1,',',auxiT2,']'];
N=['[',auxiN1,',',auxiN2,']'];
I=inline(I,'t');
T=inline(T,'t');
N=inline(N,'t');
R=char(auxiR);
R=inline(R,'t');
% calcul de testnnonul
testnonnul=char(deltaa);
testnonnul=inline(testnonnul,'t');
